<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Positioning</title>
    <style>
        body {
            margin: 0;
            padding: 0;
            width: 100%;
            height: 100;
        }
        .wrapper {
            background: lightblue;
            width: 200px;
            height: 300px;
            overflow: auto;
        }
        h1 {
            position: sticky;
            top: 0;
            background: rebeccapurple;
        }
    </style>
</head>
<body>
    <div class="wrapper">
        <h1>Headline 1</h1>
        <p>Lorem ipsum dolor sit amet consectetur adipisicing elit. Dicta aliquid omnis quam quidem voluptatem ducimus quod suscipit tempora quasi provident! Unde enim consectetur ea iusto odio ab saepe est recusandae?</p>
        <h1>Headline 2</h1>
        <p>Lorem ipsum dolor sit amet consectetur adipisicing elit. Dicta aliquid omnis quam quidem voluptatem ducimus quod suscipit tempora quasi provident! Unde enim consectetur ea iusto odio ab saepe est recusandae?</p>
        <h1>Headline 3</h1>
        <p>Lorem ipsum dolor sit amet consectetur adipisicing elit. Dicta aliquid omnis quam quidem voluptatem ducimus quod suscipit tempora quasi provident! Unde enim consectetur ea iusto odio ab saepe est recusandae?</p>
        <h1>Headline 4</h1>
        <p>Lorem ipsum dolor sit amet consectetur adipisicing elit. Dicta aliquid omnis quam quidem voluptatem ducimus quod suscipit tempora quasi provident! Unde enim consectetur ea iusto odio ab saepe est recusandae?</p>
    </div>
</body>
</html>